Summary: Automatically update your machine daily via yum
Name: yum-autoupdate
Version: 2
Release: 6.3.slf
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Patch994: yum-autoupdate_install_from_addons.patch
Patch993: yum-autoupdate_add_addons_repo.patch
Patch992: yum-autoupdate-SPEC-add-addons-repo-to-install.patch
URL: http://fermilinux.fnal.gov/
BuildRoot: %{_tmppath}/%{name}-%{version}root
Requires: yum mailx /etc/cron.daily yum-plugin-security
BuildArchitectures: noarch
Epoch: 31

%description
Automatically update your machine daily via yum.  If anything is updated,
it is logged in the yum.log and you are sent an email. 
The configuration file is in /etc/sysconfig/yum-autoupdate and most
behavior can be customized.

%prep

%setup -q
%patch994 -p0
%patch993 -p0
#%patch992 -p0

bash -n $RPM_BUILD_DIR/%{name}-%{version}/etc/cron.daily/yum-autoupdate
if [[ $? -ne 0 ]]; then
    echo "SYNTAX ERROR IN /etc/cron.daily/yum-autoupdate"
    exit 255
fi

%install
# install the script and its configs
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc
chmod +x $RPM_BUILD_ROOT/etc/cron.daily/yum-autoupdate

# install the documentation and a sample sysconfig file
mkdir -p $RPM_BUILD_ROOT/usr
cp -pr usr/* $RPM_BUILD_ROOT/usr
cp $RPM_BUILD_ROOT/etc/sysconfig/yum-autoupdate $RPM_BUILD_ROOT/usr/share/doc/yum-autoupdate/yum-autoupdate.defaults
chmod 600 $RPM_BUILD_ROOT/usr/share/doc/yum-autoupdate/yum-autoupdate.defaults

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%triggerin -- augeas
# this is a fresh install
if [[ $1 -eq 1 ]]; then
    cp /usr/share/doc/yumautoupdate.aug /usr/share/augeas/lenses/
fi

%triggerun -- augeas
# if this is an uninstall only (not an upgrade)
if [[ $1 -eq 0 ]]; then
    rm -f /usr/share/augeas/lenses/yumautoupdate.aug
fi


%files 
%defattr(-, root, root)
%config %{_sysconfdir}/cron.daily/yum-autoupdate
%config(noreplace) %{_sysconfdir}/sysconfig/yum-autoupdate
%doc /usr/share/doc/yum-autoupdate

%changelog
* Tue Oct 02 2012 Scientific Linux Auto Patch Process <SCIENTIFIC-LINUX-DEVEL@LISTSERV.FNAL.GOV> 2-5.0.slf
For SLF we need fermi-addons added and installed
  Spec change: make sure the addons repo gets installed
- Added patch yum-autoupdate-SPEC-add-addons-repo-to-install.patch
- Added patch yum-autoupdate_add_addons_repo.patch
  create the addons repo
- Added patch yum-autoupdate_install_from_addons.patch
  make sure we use the addons repo
- Prevented application of patch yum-autoupdate-SPEC-add-addons-repo-to-install.patch

* Tue Aug 14 2012 Pat Riehecky <riehecky@fnal.gov> 2-4.3
- The temporary config file generated by the script is now used
  more safely
- An augeas lense is now provided
- A sample notification script is provided to aid in informing specific users
  of particular changes

* Thu Oct 27 2011 Pat Riehecky <riehecky@fnal.gov> 2-4.2
- Added patch from Kevan Benson for the 'PRERUN' and 'POSTRUN' options
- Added additional run option of ADDONRUN so that PRE and POST can be
  mirrors while ADDONRUN can be used for an un-paired script
- Added yum-security-plugin as a requirement for the package, I don't
  know how else to ensure it is installed if the optional behavior is
  enabled by the end user
- Added syntax test to the creation process so that we are confident it
  always has valid syntax
- Added optional use of yum-security-plugin, if we get that working

* Wed Sep 21 2011 Pat Riehecky <riehecky@fnal.gov> 2-4.1
- added mailx dependency as it was missing
- added /etc/cron.daily dependency as it should ensure cron is installed
   I doubt it would be missing, but since it is required may as well require it

* Mon Aug 15 2011 Troy Dawson <dawson@fnal.gov> 2-3
- Added variables "SENDEMAIL" and "SENDONLYERRORS"

* Wed Apr 20 2011 Troy Dawson <dawson@fnal.gov> 2-2
- Fix a security issue with the tmp configuration files.
  Patch provided by Juergen Salk

* Wed Feb 16 2011 Troy Dawson <dawson@fnal.gov> 2-1
- Put the GPL and copyright stuff in the script.

* Mon Jan 24 2011 Troy Dawson <dawson@fnal.gov> 2-0.1.rolling.SL6
- Changed yum-autoupdate to use a configuration file in /etc/sysconfig
instead of separate files scattered around.  Admins can change the
variables ENABLED, MAILTO, EXCLUDE, MAXWAITTIME, CONFIGFILE, DEBUG
